
D4Science Infrastructure - Incident #1893

Workspace not working on dev infra

Jan 05, 2016 11:56 AM - Massimiliano Assante

Status: Closed Start date: Jan 05, 2016

Priority: Normal Due date: Jan 05, 2016

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 1.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

see exception below

2016-01-05 10:49:33,470 INFO  repository.JCRRepository [TP-Processor5,init:309] %[PORTAL] 72747615

 [TP-Processor5] INFO  org.gcube.common.homelibrary.jcr.repository.JCRRepository  - massimiliano.a

ssante - USER VERSION: null - HL VERSION: 3.1.1

[Fatal Error] :1:50: White spaces are required between publicId and systemId.

2016-01-05 10:49:33,487 ERROR server.GWTWorkspaceServiceImpl [TP-Processor8,getUserWorkspaceQuote:

3224] %org.gcube.common.homelibrary.home.exceptions.InternalErrorException: org.gcube.common.homel

ibrary.home.exceptions.InternalErrorException: java.lang.NullPointerException

    at org.gcube.common.homelibrary.jcr.JCRHomeManager.getHome(JCRHomeManager.java:110)

    at org.gcube.common.homelibrary.home.HomeLibrary.getUserHome(HomeLibrary.java:210)

    at org.gcube.common.homelibrary.home.HomeLibrary.getUserWorkspace(HomeLibrary.java:143)

    at org.gcube.portlets.user.workspace.server.util.WsUtil.getWorkspace(WsUtil.java:171)

    at org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl.getWorkspace(GWTWorkspaceS

erviceImpl.java:129)

    at org.gcube.portlets.user.workspace.server.GWTWorkspaceServiceImpl.getUserWorkspaceQuote(GWTW

orkspaceServiceImpl.java:3211)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at

History

#1 - Jan 05, 2016 11:56 AM - Massimiliano Assante

- Assignee changed from Francesco Mangiacrapa to Massimiliano Assante

#2 - Jan 05, 2016 11:57 AM - Massimiliano Assante

- Description updated

#3 - Jan 05, 2016 12:19 PM - Massimiliano Assante

I would need access to the tomcat hosting the jackrabbit instance at node11.d.d4science.research-infrastructures.eu, but i have not access to this

machine. @tommaso.piccioli@isti.cnr.it can you give it to me please?

#4 - Jan 07, 2016 11:57 AM - Valentina Marioli

- Status changed from New to Closed

- % Done changed from 0 to 100

Workspace on dev infrastructure is now working.
